package com.etherios.gae.connector.tank.models;

import com.digi.connector.client.models.VendorID;

public class Device {
	// Constants.
	public static final String STATUS_ONLINE = "Online";
	public static final String STATUS_OFFLINE = "Offline";
	
	public static final String SELECTED_TRUE = "true";
	public static final String SELECTED_FALSE = "false";
	
	// Variables.
	private String deviceID;
	private String name;
	private long vendorID;
	private String status = STATUS_OFFLINE;
	private String selected = SELECTED_FALSE;
	private String latitude;
	private String longitude;
	
	public Device(String deviceID) {
		this(deviceID, "", VendorID.UNKNOWN.getVendorID(), STATUS_OFFLINE, SELECTED_FALSE, "", "");
	}
	
	public Device(String deviceID, String name, long vendorID, 
			String status, String selected, String latitude, 
			String longitude) {
		this.deviceID = deviceID;
		this.name = name;
		this.vendorID = vendorID;
		this.status = status;
		this.selected = selected;
		this.latitude = latitude;
		this.longitude = longitude;
	}
	
	public String getDeviceID() {
		return deviceID;
	}
	
	public void setDeviceID(String deviceID) {
		this.deviceID = deviceID;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public long getVendorID() {
		return vendorID;
	}
	
	public void setVendorID(long vendorID) {
		this.vendorID = vendorID;
	}
	
	public String getStatus() {
		return status;
	}
	
	public void setStatus(String status) {
		this.status = status;
	}
	
	public String getSelected() {
		return selected;
	}
	
	public void setSelected(String selected) {
		this.selected = selected;
	}
	
	public String getLatitude() {
		return latitude;
	}
	
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	
	public String getLongitude() {
		return longitude;
	}
	
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}
}
